#### Description:

The Interval class implements a Region which represents upper and/or lower limits on one or more axes of a Frame. For a point to be within the region represented by the Interval, the point must satisfy all the restrictions placed on all the axes. The point is outside the region if it fails to satisfy any one of the restrictions. Each axis may have either an upper limit, a lower limit, both or neither. If both limits are supplied but are in reverse order (so that the lower limit is greater than the upper limit), then the interval is an excluded interval, rather than an included interval.

Note, The Interval class makes no allowances for cyclic nature of some coordinate systems (such as SkyFrame coordinates). A Box should usually be used in these cases since this requires the user to think about suitable upper and lower limits,

#### Constructor Function

astInterval

#### Inheritance

The Interval class inherits from the Region class.

#### Attributes

The Interval class does not define any new attributes beyond those which are applicable to all Regions.

#### Functions

The Interval class does not define any new functions beyond those which are applicable to all Regions.
Copyright (C) 2021 East Asian Observatory